/*
 * Einzeltaster entprellen und auswerten
 *
 * stub fuer Simulation am PC
 *
 * Erstellt: 24.01.2014
 *  Author: DL1DOW
 */

#include <stdio.h>
#include "key.h"
#include "../src_mockup_sdl/mock_sdl.h"
#include "../src_mockup_sdl/mock_input.h"


volatile uint_fast16_t sgl_time = 0; // Dauer Tastendruck

/* Taster initialisieren (Port) */
void key_init(void) {}


/* Taster abfragen und entprellen (active Low), genau eine positive Ausgabe pro
 * Tastendruck. Zum Pollen in der Hauptschleife */
bool key_getstroke(void) 
{
    mock_event_poll(); // Tastatur-Emulation pollen
	uint16_t temp = sgl_time;
	sgl_time = 0;
    return (bool) temp;
}






/* Dauer eines Tastendrucks abfragen (nach dem Loslassen)
 * Dummy */

uint_fast16_t key_gettime(void)
{
    mock_event_poll(); // Tastatur-Emulation pollen
	uint16_t temp = sgl_time;
	sgl_time = 0;
	return temp;
}  


