/*
 * key_test.c
 *
 *  Tests fuer Tastendruckfunktionen
 *
 * Created: 11.08.2013
 *  Author: Nicolas
 */

#include "key_test.h"
#include <stdio.h>
#include <stdlib.h>
#include "../src_avrcom/pgmspace.h"
#include "../src_glcd/glcd_textfun.h"
#include "encoder_panasonic.h"       // Drehgeber
#include "key.h"                     // Taster



/* Taster testen Beenden durch Drehen am Encoder und Tastendruck*/
void key_test(void)
{
	printf_P(PSTR("\fTaster-test:\n"
			"Lnge Tastendruck\n"
			"Zum Beenden drehen\a"));

	uint_fast8_t last = encoder_get();

	while(1) 
    {
		uint16_t time = key_gettime();

		if(time) 
        {
			glcd_setpos(384);
			printf_P(PSTR("key_val=%6i\a"), time);
		}

		delay_ms(1);


		uint_fast8_t this = encoder_get();
		if( abs((int_fast8_t) (this-last)) > 10 ) return;

	} // while(1)
}


