/*
 * glcd_generic.h
 *
 * Generische Funkionsnamen fuer SW-Grafik-LCDs mit max. 255 x  255 Pixel
 *
 * Created: 15.02.2016
 *  Author: Nicolas
 */ 


#ifndef GLCD_GENERIC_H
    #define GLCD_GENERIC_H

    #include <stdint.h>
    
    #define GLCD_END 1024


    // Funktionsprototypen (allgemein)
    uint8_t glcd_readdat(void);
    void glcd_putdat(uint8_t value);
    void glcd_adddat(uint8_t value);
    void glcd_init(void);
    void glcd_clear(void);
    void glcd_setpos(uint16_t Pos);
    uint16_t glcd_getpos(void);
    void glcd_draw(void);
    void glcd_drawnow(void);
    void glcd_drawField(uint_fast8_t fieldNo);
    void glcd_timer(void);
    uint8_t glcd_setPixel(uint8_t x, uint8_t y);
    uint8_t * glcd_getmemory(void);

       
#endif
