﻿/*
 * glcd_gfxfun.h
 *
 * Grafik-Funktionen (Kreise, Linien, Bitmaps etc. fuer Grafik-LCD)
 *
 * Created: 15.02.2016 08:36:50
 *  Author: Nicolas
 */ 


#ifndef GLCD_GFXFUN_H
    #define GLCD_GFXFUN_H

    #include <stdint.h>
    #include "../src_avrcom/pgmspace.h"


    // Bitmap (z.B. Icon) darstellen
    void glcd_putbitmap_P(constflash unsigned char * bitmap);
    
    // Linie zeichnen
    void glcd_line(uint8_t x0, uint8_t y0, uint8_t x1, uint8_t y1);

    // Kreis/Kreisabschnitt zeichnen (Mittelpunkt/Radius, Anfangswinkel, Endwinkel
    void glcd_circle(int x0, int y0, int radius, int ang0, int ang1);

#endif /* GLCD_GFXFUN_H_ */

