/*
 * debughelp.h
 *
 * Sammlung hilfreicher Header fuer das Debuggen (insbesondere printf)
 *
 * Created: 19.03.2014
 *  Author: Nicolas
 */ 

#ifndef DEBUGHELP_H
    #define DEBUGHELP_H

	#warning "Debug-Header eingebunden"

    #include <stdio.h>
    #include "../src_avrcom/pgmspace.h"
    #include "datatypes.h"
  
    // From: The Power of ten:
    #define c_assert(e)	((e) ? (true) : \
		tst_debugging("%s,%d: assertion '%s' failed\n", \
		__FILE__, __LINE__, #e), false)  

	if (!c_assert(p >= 0) == true) 
    {
		return EXIT_FAILURE;
	}


#endif // DEBUGHELP_H
