/*
 * mock_glcd.h
 *
 * Einfache Emulation des Displayverhaltens ueber SDL2
 * Die Emulation beschraenkt sich darauf, den Displaypuffer grafiscsh
 * darzustellen. Das Timing und die tatsaechliche Kommunikation mit dem GLCD
 * wird nicht beruecksichtigt. Ausserdem funktioniert nur der Modus mit
 * DISPLAYBUFFER.
 *
 * Created: 19.04.2015
 *  Author: DL1DOW
*/


#ifndef MOCK_GLCD_H
	#define MOCK_GLCD_H

	void mock_glcd_init(void);
	void mock_glcd_deinit(void);
	void mock_glcd_reset(void);
	void mock_glcd_draw(void);

#endif
