﻿/*
 * locale.h
 *
 * Text-Schnipsel fuer die grafische Benutzerschnittstelle (allgemein)
 *
 * Created: 26.02.2016 13:15:02
 *  Author: Nicolas
 */ 


#ifndef LOCALE_H
    #define LOCALE_H

    #include "../src_avrcom/pgmspace.h"

    extern constflash char LT_EEPROMWRITEFAILED[];
    extern constflash char LT_EEPROMWRITESUCCESS[];
    extern constflash char LT_EEPROMREADFAILED[];
    extern constflash char LT_ERRORMSG[];

    extern constflash char MT_NULL[];
    extern constflash char MT_RETURN[];
    extern constflash char MT_YES[];
    extern constflash char MT_OK[];
    extern constflash char MT_NO[];
    extern constflash char MT_CANCEL[];
    extern constflash char MT_ABORT[];
    extern constflash char MT_RETRY[];
    extern constflash char MT_CONTINUE[];
    extern constflash char MT_USEDEFAULT[];    
    extern constflash char MT_SAVEANDRET[];

    extern constflash char MT_PREFSMENU[];
    extern constflash char MT_INFOSCREEN[];
    
    extern constflash char LT_PRESSKEYTOLEAVE[];
    extern constflash char LT_ENCODERTEST[];
    
    extern constflash char MT_EDM_MENU[];
    extern constflash char MT_EDM_WRITE_FCN[];
    extern constflash char MT_EDM_READ_FCN[];
    
    // Menü-Texte: Hilfsfunktionen
    extern constflash char MT_SRAMDUMP[];
    extern constflash char MT_FLASHDUMP[];
    extern constflash char MT_EEPROMDUMP[];
    extern constflash char MT_SPLASHSCREEN[];
    
    // Menü-Texte: Testfunktionen
    extern constflash char MT_MESSAGE_TEST[];
    extern constflash char MT_TEST_TIMEOUT[];
    extern constflash char MT_TEST_CRC16[];
    extern constflash char MT_TEST_ADC[];
    extern constflash char MT_TEST_ENCODER[];
    extern constflash char MT_TEST_KEY[];
    extern constflash char MT_TEST_TEXT[];
    extern constflash char MT_TEST_DELAY[];
    
    // Menü-Überschriften:
    extern constflash char LT_HEADLINE_HELPFCN[];
    extern constflash char LT_HEADLINE_TESTFCN[];

#endif