/*
 * adc_multiplex.h
 *
 * ADC-Routinen fuer FTM25/6-Rotorsteuerung
 * Gemultiplext auslesen: Der ADC wird freilaufend reihum abgefragt.
 *
 * Created: 28.01.2016
 *  Author: Nicolas
 */

/* Auf dem AVR ist der ADC-IRQ der zentrale Zeitgeber (Millisekunden-Trigger).*/


#ifndef ADC_MULTIPLEX_H
    #define ADC_MULTIPLEX_H

    #include <stdint.h>

    void adc_init(void);
    void adc_deinit(void);
    void adc_start(void);
    void adc_stop(void);

    extern uint16_t gl_adc0val;
    extern uint16_t gl_adc1val;


#endif // ADC_MULTIPLEX_H
