/*
 * ftm_calc.h
 *
 * Berechnungen fuer Rotorsteuerung
 *
 * Created: 15.02.2016
 *  Author: Nicolas
 */ 


#ifndef FTM_CALC_H_
    #define FTM_CALC_H

    #include <stdint.h>
    #include "rot_variables.h"

    /* Lokale Berechnungen */
    int16_t deg2pulse(int16_t deg, uint8_t ppr);
    int16_t pulse2deg(int16_t pulse, uint8_t ppr);

    /* Globale Updates */
    void calc_init(void);
    void calc_update(ctrlstat_t * const Cstat);

#endif /* FTM_CALC_H */
