/*
 * bitmaps.h
 *
 * Bitmaps
 * Piktogramme und Splash-Screen
 * Die ersten beiden Zahlen sind die Groesse in Pixeln (Breite, Hoehe)
 *
 * Refactored: 30.10.2013
 *  Author: Nicolas
 */


#ifndef UI_BITMAPS_H
	#define UI_BITMAPS_H

    #include <stdint.h>
	#include "../../common/src_avrcom/pgmspace.h"

    extern constflash uint8_t rotorError[];        // Fehler-Bild (Halbbild)
    extern constflash uint8_t bitmap_background[]; // Hintergrundbild
	extern constflash uint8_t bitmap_logo[];       // Total brillantes Logo
	extern constflash uint8_t icon_spanner[];      // Piktogramm Schraubenschluessel
	extern constflash uint8_t icon_error[];        // Piktogramm Fehler
	extern constflash uint8_t icon_blitzAn[];      // Piktogramm Blitz (An)
	extern constflash uint8_t icon_blitzAus[];     // Piktogramm Blitz (Aus)
	extern constflash uint8_t icon_blitzDwn[];     // Piktogramm Blitz + Pfeile
	extern constflash uint8_t icon_blitzUp[];      // Piktogramm Blitz + Pfeile
	extern constflash uint8_t icon_menu[];         // Piktogramm Menu
	extern constflash uint8_t icon_info[];         // Piktogramm Info
    extern constflash uint8_t bitmap_ani0[];       // Bewegtbild
    extern constflash uint8_t bitmap_ani1[];       // Bewegtbild
    extern constflash uint8_t bitmap_ani2[];       // Bewegtbild        

#endif

