﻿/*
 * popups.c
 *
 * Messageboxen fuer alle Lebenslagen des Projekts (projektspezifisch)
 *
 * Created: 26.02.2016 13:45:23
 *  Author: Nicolas
 */ 


#include "popups_prj.h"
#include "../../common/src_menu/menu.h"
#include "../../common/src_ui/bitmaps.h"     // Icons
#include "./locale_prj.h"
#include "../../common/src_ui/locale.h"


/* Fehlermeldung: "Pulsdaten im EEPROM nicht gefunden" - muss mit einem Tastendruck 
 * quittiert werden 
 * eNo: Fehlercode (darf nicht "errno" heissen!) */
void popup_pulseDataNotFound(int eNo)
{
    usermessage_t message;
    usermessageitem_t items[] = {MT_OK,MT_NULL};
    message.text = LT_NOPULSEDATA;
    message.items = items;
    message.headheight = 5;
    message.icon = icon_error;
    message.errcode = eNo;
    usermessage(&message);
}

            