/*
 * delay_test.c
 *
 * Tests fuer Delay-Funktionen
 * An einem Portpin wird ein Signal mit definierter Puls- und Pausenzeit
 * ausgegeben.
 * PeriphClock fuer GPIOB muss schon laufen (STM32)!
 *
 * Created: 22.12.2013
 *  Author: Nicolas
 */


#include "delay_test.h"
#include "delay.h"
#include "../src_avrcom/io.h"
#include "../src_avrcom/pgmspace.h"
#include "../../ioMapping.h"




void delay_test(void)
{
	io_setOutput(SPARE0_GPIO, SPARE0_Pin);

	printf_P(PSTR("\fTest delay \nSPARE1\nPulslnge 10s\nPausenlnge 1ms\n"
			"Beenden durch Knopfdruck\a"));

	while(!key_getstroke()) 
    {
		io_setBit(SPARE0_GPIO, SPARE0_Pin);
		delay_us(10);
		io_clearBit(SPARE0_GPIO, SPARE0_Pin);
		delay_ms(1);
	}
}
