/*
 * crc.h
 *
 * Berechnung eines:
 *  - CRC16 mit dem Generatorpolynom 0xA001
 *  - CRC4 mit dem Generatorpolynom 0xD
 *
 * Created: 08.03.2014
 *  Author: Nicolas
 */ 


#ifndef CRC_H
    #define CRC_H

    uint16_t crc16_calc(uint8_t *buffer,uint8_t buffersize);
    
    uint8_t crc4_calc(uint8_t *buffer, uint8_t nNibble);
    uint8_t crc4_calc32(uint32_t inp, uint8_t nNibble);
    
    

#endif /* CRC_H */
