/*
 * mock_input.h
 *
 * Einfache Emulation des Verhaltens des Eingabegeraets ueber SDL2
 *
 * Der Drehgeber wird ueber die Tastatur emuliert. Einer Rechtsdrehung
 * entspricht die Pfeil-Hoch-Taste, einer Linksdrehung die Pfeil-Herunter-Taste.
 * Dem Tastendruck entspricht die Enter-Taste.
 *
 * Created: 20.04.2015
 *  Author: DL1DOW
 */


#ifndef MOCK_INPUT_H
	#define MOCK_INPUT_H

	void mock_input_init(void);
	void mock_input_deinit(void);
	void mock_input_reset(void);
	void mock_input_poll(void);


    uint_fast8_t sdlenc; // Encoder-Emulation
    bool sdlkey;         // Taster-Emulation


#endif
