/*
 * locale.c
 *
 * Text-Schnipsel fuer die grafische Benutzerschnittstelle
 * Achtung: Die Zeichencodierung dieser Datei (ANSI) darf nicht gendert werden!
 *
 * Created: 26.02.2016 13:14:48
 *  Author: Nicolas
 */ 

#include "locale.h"


// Fehlermeldung: EEPROM-Daten nicht richtig geschrieben
constflash char LT_EEPROMWRITEFAILED[] =
    "   Fehler 0x%04x\n"\
    "   EEPROM-Daten \n"\
    "   nicht korrekt\n"\
    "   geschrieben";



// Erfolgsmeldung: EEPROM-Daten richtig geschrieben
constflash char LT_EEPROMWRITESUCCESS[] =
    "   \n"\
    "   EEPROM-Daten \n"\
    "   korrekt\n"\
    "   geschrieben";


// Fehlermeldung: EEPROM-Daten nicht richtig gelesen
constflash char LT_EEPROMREADFAILED[] =
    "\033n"\
    "   Fehler 0x%04x\n"\
    "   EEPROM-Daten \n"\
    "   nicht korrekt";

// Fehlermeldung: Allgemeine Fehlermeldung fuer Popup-Test
constflash char LT_ERRORMSG[]        = "   Fehlermeldung\n   h=%u";


// Menu-Textschnipsel: Konstante Strings, die fuer viele Menues gebraucht werden
constflash char MT_NULL[]            = {'\0'};
constflash char MT_RETURN[]          = "zurck";
constflash char MT_YES[]             = "Ja";
constflash char MT_OK[]              = "OK";
constflash char MT_NO[]              = "Nein";
constflash char MT_CANCEL[]          = "Abbrechen";
constflash char MT_ABORT[]           = "Abbrechen";
constflash char MT_RETRY[]           = "Nochmal versuchen";
constflash char MT_CONTINUE[]        = "Weiter";
constflash char MT_USEDEFAULT[]      = "Defaultwerte";
constflash char MT_SAVEANDRET[]      = "\033vspeichern\033f & \033vzurck\033f";

constflash char MT_PREFSMENU[]       = "Einstellungen";
constflash char MT_INFOSCREEN[]      = "Firmware-Info";


constflash char LT_PRESSKEYTOLEAVE[] = "Beenden mit Taster";


        
// Sonstige Textschnipsel:        
constflash char LT_ENCODERTEST[]     = "\fEncoder-Test\n";


// Men-Texte: EDM
constflash char MT_EDM_MENU[]       = "EDM: Men";
constflash char MT_EDM_WRITE_FCN[]  = "EDM: EEPROM write";
constflash char MT_EDM_READ_FCN[]   = "EDM: EEPROM read";

// Men-Texte: Hilfsfunktionen
constflash char MT_SRAMDUMP[]       = "SRAM dump";
constflash char MT_FLASHDUMP[]      = "Flash dump";
constflash char MT_EEPROMDUMP[]     = "EEPROM dump";
constflash char MT_SPLASHSCREEN[]   = "FTM-Rotor-Logo";

// Men-Texte: Testfunktionen
constflash char MT_MESSAGE_TEST[]   = "Test: Messagebox";
constflash char MT_TEST_TIMEOUT[]   = "Test: Timeout";
constflash char MT_TEST_CRC16[]     = "Test: CRC16";
constflash char MT_TEST_ADC[]       = "Test: ADC";
constflash char MT_TEST_ENCODER[]   = "Test: Encoder";
constflash char MT_TEST_KEY[]       = "Test: Taster";
constflash char MT_TEST_TEXT[]      = "Test: Zeichensatz";
constflash char MT_TEST_DELAY[]     = "Test: Delay";

// Men-berschriften:
constflash char LT_HEADLINE_HELPFCN[] = "\033b\033v\033iHilfsfunktionen\033i\033n\033f";
constflash char LT_HEADLINE_TESTFCN[] = "\033b\033v\033iTestfunktionen\033i\033n\033f";