/*
 * locale_prj.c
 *
 * Text-Schnipsel fuer die grafische Benutzerschnittstelle (projektspezifisch)
 * Achtung: Die Zeichencodierung dieser Datei (ANSI) darf nicht gendert werden! 
 *
 * Created: 26.02.2016 13:14:48
 *  Author: Nicolas
 */ 

#include "locale_prj.h"
#include "../../common/src_avrcom/pgmspace.h"


// Fehlermeldung: Keine Puls-Daten aus dem EEPROM auslesbar
constflash char LT_NOPULSEDATA[] = \
    "\033n"\
    "   Fehler :%u\n"\
    "   Keine Positions-\n"\
    "   daten vorhanden.\n" \
    "Bitte neu einstellen!";


/* Men-Texte Hauptmenue */
constflash char LT_HEADLINE_MAIN_MENU[]   = "\033b\033vHauptmen\033n\033f";
constflash char MT_MENU_HLPFCN[]          = "Hilfsfunktionen";
constflash char MT_MENU_TSTFCN[]          = "Testfunktionen";
constflash char MT_MOT1ACTDEG[]           = "Aktuell\033sRot1 \033n :%3i";
constflash char MT_MOT2ACTDEG[]           = "Aktuell\033sRot2 \033n :%3i";
constflash char MT_SCREENNO[]             = "Betriebsart\033v  \033f:%3u";
        
        
/* Men-Texte Einstellungsmenue */
constflash char LT_HEADLINE_PREFERENCES[] = "\033b\033vEinstellungen\033n\033f";
constflash char MT_LINE[]   = "\x12\x12\x12\x12\x12\x12\x12\x12\x12\x12\x12\x12\x12\x12\x12\x12";
constflash char MT_MOT0DIR[]              = "Richtung\033sRot1 \033n: %2i";
constflash char MT_MOT0LIMITDEG[]         = "Anschlag\033sRot1 \033n:%3u";
constflash char MT_MOT0STEPOVERDEG[]      = "berlauf\033sRot1 \033n:%3u";
constflash char MT_MOT0PULSEPERREV[]      = "Pulse/U\033sRot1 \033n :%3u";
constflash char MT_MOT1DIR[]              = "Richtung\033sRot2 \033n: %2i";
constflash char MT_MOT1LIMITDEG[]         = "Anschlag\033sRot2 \033n:%3u";
constflash char MT_MOT1STEPOVERDEG[]      = "berlauf\033sRot2 \033n:%3u";
constflash char MT_MOT1PULSEPERREV[]      = "Pulse/U\033sRot2 \033n :%3u";
constflash char MT_IMAX[]                 = "I\033smax  \033n       :%4umA";
constflash char MT_RUNOUTTIME[]           = "Auslaufzeit\033v  \033f:%4ums";

/* Men-Texte Tests */
constflash char MT_TEST_EERESTORE[]       = "Test: EEProm-Restore";